Package: org.codehaus.groovy.grails.plugins.web.taglib

## [Groovy] Interface JavascriptProvider

- Defines methods that a JavaScript provider must implement.

  Authors:
    Graeme Rocher

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `doRemoteFunction(java.lang.Object taglib, java.lang.Object attrs, java.lang.Object out)` Creates a remote function call
    `java.lang.Object` | `prepareAjaxForm(java.lang.Object attrs)`

- - ### Method Detail

    - #### java.lang.Object doRemoteFunction(java.lang.Object taglib, java.lang.Object attrs, java.lang.Object out)

      Creates a remote function call

      Parameters:
        `The` - attributes to use
        `The` - output to write to

    - #### java.lang.Object prepareAjaxForm(java.lang.Object attrs)